import prisma from "../../prisma"
import logging from "../logging"
import type { Player } from "@prisma/client"

async function createPlayerDB(next: (player: Player) => void) {
  const player = await prisma.player.create({ data: {} })
  logging("Anonymous player created: " + player.id, ["debug"])

  return next(player)
}

export default createPlayerDB
